Imports Telerik
Imports Telerik.WebControls


Partial Class _Default
    Inherits System.Web.UI.Page

#Region "Debugging Visual Aids (Handles Page.Load Event)"
    Private strBuilder As New System.Text.StringBuilder("")
    Private EnableDebugging As Boolean = False
    Private Sub DebugOutput(ByVal Message As String)
        If Not EnableDebugging Then Exit Sub
        strBuilder.Append(Message & vbCrLf)
        Me.TxtDebug.Text = strBuilder.ToString
    End Sub
    Private Sub PageLoadForDebugging(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Me.TxtDebug.Visible = EnableDebugging
    End Sub
#End Region


    Protected Sub RadGrid1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.GridItemEventArgs) Handles RadGrid1.ItemDataBound
        'Declare variables for use and default them to null
        Dim dataItem As GridDataItem = Nothing
        Dim data As Data.DataRowView = Nothing
        Dim img As Image = Nothing
        Dim value As Boolean = Nothing
        Try
            'Check that we are potentially referencing a
            ' GridDataItem object:
            If TypeOf e.Item Is GridDataItem Then

                'Using the event agruments, we obtain a reference to the
                ' current Grid DataItem:
                dataItem = CType(e.Item, GridDataItem)

                'From the DataItem we get a reference to the databinding object
                'which is a DataRowView object:
                data = CType(dataItem.DataItem, Data.DataRowView)

                'Next, we get a reference to the Image control contained
                'within the current Grid DataItem:
                img = CType(dataItem("Status").Controls(1), Image)

                'Last, but not least, we find out the value
                ' of the IsRead row item of type boolean:
                value = CType(data.Row.Item("IsRead"), Boolean)

                'IF the value is TRUE then use the Read image url and tooltip,
                'OTHERWISE, use the Unread image url and tooltip:
                If value Then
                    img.ImageUrl = "~/res/pics/MailItem_Read_16.png"
                    img.ToolTip = "This message has been read."
                Else
                    img.ImageUrl = "~/res/pics/MailItem_Unread_16.png"
                    img.ToolTip = "This message has not been read."
                End If

            End If
        Catch ex As Exception
            'The exception is ignored
        Finally
            'Finally, destroy used variables
            dataItem = Nothing
            data = Nothing
            img = Nothing
            value = Nothing
        End Try
    End Sub

End Class
